> For the complete documentation index, see [llms.txt](https://docs.autoenhance.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.autoenhance.ai/images/managing-images/deleting.md).

# Deleting

This API endpoint allows you to delete images that you own. To delete an image, you must provide the `image_id` and a valid API key.

{% tabs %}
{% tab title="JavaScript" %}

```javascript
const imageId = "ID_OF_YOUR_IMAGE";
const apiKey = "YOUR_API_KEY";

const deleteImage = async (imageId, apiKey) => {
    const deleteImageResponse = await fetch(
      `https://api.autoenhance.ai/v3/images/${imageId}`,
      { 
        method: "DELETE" 
        headers:{
          "x-api-key": apiKey,  
        }
      }
    );
}
```

{% endtab %}

{% tab title="Python" %}

```python
import requests

image_id = "ID_OF_YOUR_IMAGE"
api_key = "YOUR_API_KEY"

def delete_order(image_id, api_key):
    url = f"https://api.autoenhance.ai/v3/images/{image_id}"
    headers = {
        "x-api-key": api_key
    }
    
    response = requests.delete(url, headers=headers)
```

{% endtab %}

{% tab title="PHP" %}

<pre><code>$image_id = "ID_OF_YOUR_IMAGE";
$api_key = "YOUR_API_KEY";

<strong>function delete_image($image_id, $api_key) {
</strong>    $url = "https://api.autoenhance.ai/v3/images/$image_id";

    $options = array(
        'http' => array(
            'header'  => "Content-Type: application/json\r\n" .
                         "x-api-key: $api_key",
            'method'  => 'DELETE',
        ),
    );

    $context  = stream_context_create($options);
    $result = file_get_contents($url, false, $context);

    if ($result === FALSE) {
        return 'Error deleting image';
    }

    return 'Image deleted successfully';
}
</code></pre>

{% endtab %}

{% tab title="cURL" %}

```
curl -X DELETE \
  https://api.autoenhance.ai/v3/images/ID_OF_YOUR_IMAGE \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: YOUR_API_KEY'
```

{% endtab %}
{% endtabs %}

### Specification

{% openapi src="<https://api.autoenhance.ai/docs/openapi.spec>" path="/v3/images/{id}" method="delete" %}
<https://api.autoenhance.ai/docs/openapi.spec>
{% endopenapi %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.autoenhance.ai/images/managing-images/deleting.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
